From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sun, 12 Jan 2025 12:16:51 +0100
Subject: Drop tests currently failing with PHPUnit 11

---
 imagick-3.7.0/tests/005_bestfit.phpt               |  21 -----
 imagick-3.7.0/tests/006_cropthumbnail.phpt         |  69 --------------
 imagick-3.7.0/tests/008_newpseudoimage.phpt        |  54 -----------
 imagick-3.7.0/tests/010_importimagepixels.phpt     |  48 ----------
 imagick-3.7.0/tests/012-clone-separation.phpt      |  25 -----
 imagick-3.7.0/tests/018-clone-length.phpt          |  34 -------
 imagick-3.7.0/tests/020-pixeliterator.phpt         | 103 ---------------------
 .../tests/118_Imagick_setImageArtifact_basic.phpt  |  45 ---------
 imagick-3.7.0/tests/276_Imagick_artifacts.phpt     |  27 ------
 .../288_imagick_prevent_zero_size_images.phpt      |  30 ------
 imagick-3.7.0/tests/bug21229.phpt                  |  41 --------
 imagick-3.7.0/tests/bug64015.phpt                  |  29 ------
 12 files changed, 526 deletions(-)
 delete mode 100644 imagick-3.7.0/tests/005_bestfit.phpt
 delete mode 100644 imagick-3.7.0/tests/006_cropthumbnail.phpt
 delete mode 100644 imagick-3.7.0/tests/008_newpseudoimage.phpt
 delete mode 100644 imagick-3.7.0/tests/010_importimagepixels.phpt
 delete mode 100644 imagick-3.7.0/tests/012-clone-separation.phpt
 delete mode 100644 imagick-3.7.0/tests/018-clone-length.phpt
 delete mode 100644 imagick-3.7.0/tests/020-pixeliterator.phpt
 delete mode 100644 imagick-3.7.0/tests/118_Imagick_setImageArtifact_basic.phpt
 delete mode 100644 imagick-3.7.0/tests/276_Imagick_artifacts.phpt
 delete mode 100644 imagick-3.7.0/tests/288_imagick_prevent_zero_size_images.phpt
 delete mode 100644 imagick-3.7.0/tests/bug21229.phpt
 delete mode 100644 imagick-3.7.0/tests/bug64015.phpt

diff --git a/imagick-3.7.0/tests/005_bestfit.phpt b/imagick-3.7.0/tests/005_bestfit.phpt
deleted file mode 100644
index 676a80a..0000000
--- a/imagick-3.7.0/tests/005_bestfit.phpt
+++ /dev/null
@@ -1,21 +0,0 @@
---TEST--
-Test thumbnail bestfit
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-
-$im = new Imagick();
-$im->newImage(50, 100, 'white');
-
-$im->thumbnailImage(100, 50, true);
-var_dump($im->getImageGeometry());
-
-?>
---EXPECTF--
-array(2) {
-  ["width"]=>
-  int(25)
-  ["height"]=>
-  int(50)
-}
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/006_cropthumbnail.phpt b/imagick-3.7.0/tests/006_cropthumbnail.phpt
deleted file mode 100644
index 4c1ef7d..0000000
--- a/imagick-3.7.0/tests/006_cropthumbnail.phpt
+++ /dev/null
@@ -1,69 +0,0 @@
---TEST--
-Test cropthumbnail
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-
-$im = new Imagick("magick:rose");
-$im->cropThumbnailImage(200, 200);
-var_dump($im->getImageGeometry());
-
-$im = new Imagick("magick:rose");
-$im->cropThumbnailImage(170, 120);
-var_dump($im->getImageGeometry());
-
-$im = new Imagick("magick:rose");
-$im->cropThumbnailImage(50, 50);
-var_dump($im->getImageGeometry());
-
-$im = new Imagick("magick:rose");
-$im->cropThumbnailImage(60, 120);
-var_dump($im->getImageGeometry());
-
-$im = new Imagick("magick:logo");
-$im->cropThumbnailImage(100, 100);
-var_dump($im->getImageGeometry());
-
-$im = new Imagick("magick:rose");
-$im->cropThumbnailImage(200, 10);
-var_dump($im->getImageGeometry());
-
-?>
---EXPECTF--
-array(2) {
-  ["width"]=>
-  int(200)
-  ["height"]=>
-  int(200)
-}
-array(2) {
-  ["width"]=>
-  int(170)
-  ["height"]=>
-  int(120)
-}
-array(2) {
-  ["width"]=>
-  int(50)
-  ["height"]=>
-  int(50)
-}
-array(2) {
-  ["width"]=>
-  int(60)
-  ["height"]=>
-  int(120)
-}
-array(2) {
-  ["width"]=>
-  int(100)
-  ["height"]=>
-  int(100)
-}
-array(2) {
-  ["width"]=>
-  int(200)
-  ["height"]=>
-  int(10)
-}
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/008_newpseudoimage.phpt b/imagick-3.7.0/tests/008_newpseudoimage.phpt
deleted file mode 100644
index 0d140ea..0000000
--- a/imagick-3.7.0/tests/008_newpseudoimage.phpt
+++ /dev/null
@@ -1,54 +0,0 @@
---TEST--
-Test pseudo formats
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-
-$im = new Imagick();
-$im->newPseudoImage(100, 100, "XC:red");
-var_dump($im->getImageGeometry());
-
-$im->newPseudoImage(10, 10, "magick:logo");
-var_dump($im->getImageGeometry());
-
-$im->readImage("magick:logo");
-var_dump($im->getImageGeometry());
-
-$im->newPseudoImage(10, 10, "rose:");
-var_dump($im->getImageGeometry());
-
-try { 
-$im->newPseudoImage(10, 10, "png:");
-var_dump($im->getImageGeometry());
-} catch (Exception $e) {
-	echo "fail\n";
-}
-
-?>
---EXPECTF--
-array(2) {
-  ["width"]=>
-  int(%d)
-  ["height"]=>
-  int(%d)
-}
-array(2) {
-  ["width"]=>
-  int(%d)
-  ["height"]=>
-  int(%d)
-}
-array(2) {
-  ["width"]=>
-  int(%d)
-  ["height"]=>
-  int(%d)
-}
-array(2) {
-  ["width"]=>
-  int(%d)
-  ["height"]=>
-  int(%d)
-}
-fail
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/010_importimagepixels.phpt b/imagick-3.7.0/tests/010_importimagepixels.phpt
deleted file mode 100644
index a30c666..0000000
--- a/imagick-3.7.0/tests/010_importimagepixels.phpt
+++ /dev/null
@@ -1,48 +0,0 @@
---TEST--
-Test importimagepixels
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); 
-
-if (!method_exists("imagick", "importimagepixels")) {
-	die("skip imagick::importImagePixels not available");
-}
-
-?>
---FILE--
-<?php
-
-/* Generate array of pixels. 2000 pixels per color stripe */
-$count = 2000 * 3;
-
-$pixels = 
-   array_merge(array_pad(array(), $count, 0),
-               array_pad(array(), $count, 255), 
-               array_pad(array(), $count, 0),
-               array_pad(array(), $count, 255),
-               array_pad(array(), $count, 0));
-
-/* Width and height. The area is amount of pixels divided
-   by three. Three comes from 'RGB', three values per pixel */
-$width = $height = 100;
-
-/* Create empty image */
-$im = new Imagick();
-$im->newImage($width, $height, 'gray');
-
-/* Import the pixels into image.
-   width * height * strlen("RGB") must match count($pixels) */
-$im->importImagePixels(0, 0, $width, $height, "RGB", Imagick::PIXEL_CHAR, $pixels);
-
-var_dump($width, $height);
-var_dump($im->getImageGeometry());
-
-?>
---EXPECTF--
-int(100)
-int(100)
-array(2) {
-  ["width"]=>
-  int(100)
-  ["height"]=>
-  int(100)
-}
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/012-clone-separation.phpt b/imagick-3.7.0/tests/012-clone-separation.phpt
deleted file mode 100644
index e33fd9c..0000000
--- a/imagick-3.7.0/tests/012-clone-separation.phpt
+++ /dev/null
@@ -1,25 +0,0 @@
---TEST--
-Testing that cloned object does not affect the original
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-$im = new Imagick();
-$im->newImage(100, 100, new ImagickPixel("white"));
-
-$new = clone $im;
-$new->thumbnailImage(200, null);
-var_dump($im->width, $new->width);
-
-$new2 = $im->clone();
-$new2->thumbnailImage(200, null);
-var_dump($im->width, $new2->width);
-
-?>
---EXPECTF--
-int(100)
-int(200)
-
-%s: Imagick::clone method is deprecated and it's use should be avoided in %s on line %d
-int(100)
-int(200)
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/018-clone-length.phpt b/imagick-3.7.0/tests/018-clone-length.phpt
deleted file mode 100644
index 6085d58..0000000
--- a/imagick-3.7.0/tests/018-clone-length.phpt
+++ /dev/null
@@ -1,34 +0,0 @@
---TEST--
-Test clone length, this is expected upstream behaviour
---SKIPIF--
-<?php 
-require_once(dirname(__FILE__) . '/skipif.inc');
-
-checkFormatPresent('png');
-
-$v = imagick::getversion ();
-
-if ($v ['versionNumber'] >= 0x640 && $v ['versionNumber'] < 0x650)
-	die ('skip seems to be different in this version of ImageMagick');
-?>
---FILE--
-<?php
-
-$im = new Imagick ('magick:rose');
-$im->setImageFormat ('png');
-if ($im->getImageLength()) {
-	echo "Image created has length" . PHP_EOL;
-}
-else {
-	echo "Image created has zero length" . PHP_EOL;
-}
-
-$cloned = clone $im;
-$cloned->setImageFormat ('png');
-
-var_dump ($cloned->getImageLength ());
-
-?>
---EXPECT--
-Image created has length
-int(0)
diff --git a/imagick-3.7.0/tests/020-pixeliterator.phpt b/imagick-3.7.0/tests/020-pixeliterator.phpt
deleted file mode 100644
index 4a27c3a..0000000
--- a/imagick-3.7.0/tests/020-pixeliterator.phpt
+++ /dev/null
@@ -1,103 +0,0 @@
---TEST--
-Pixel Iterator tests
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-
-function count_rows ($pix)
-{
-	$rows = 0;
-
-	foreach ($pix as $r)
-		$rows++;
-
-	return $rows;
-}
-
-function count_objects ($pix)
-{
-	$objects = 0;
-
-	foreach ($pix as $r)
-		foreach ($r as $o)
-			$objects++;
-
-	return $objects;
-}
-
-function count_objects_with_iterator ($pixelRegion)
-{
-	$objects = 0;
-	$row = 0;
-
-	$pixelRegion->rewind();
-	$pixelRegion->resetIterator();
-
-	while($pixelRow = $pixelRegion->current()) {
-		$row++;
-		foreach ($pixelRow as $pixel) {
-			$objects++;
-		}
-
-		$pixelRegion->syncIterator();
-		$pixelRegion->next();
-		if (!$pixelRegion->valid()) {
-			break;
-		}
-	}
-
-	return $objects;
-}
-
-$im = new Imagick ('magick:rose');
-$it1 = new ImagickPixelIterator ($im);
-$it2 = ImagickPixelIterator::getPixelIterator ($im);
-$it3 = $im->getPixelIterator();
-
-
-$count1 = count_rows ($it1);
-$count2 = count_rows ($it2);
-$count3 = count_rows ($it3);
-
-if ($count1 != $count2 || 
-    $count1 != $count3) {
-    printf(
-        "Row counts do not match %d %d %d",
-        $count1,
-        $count2,
-        $count3
-    );
-}
-
-if ($count1 != $count2 || 
-    $count1 != $count3) {
-    printf(
-        "Object counts do not match %d %d %d",
-        $count1,
-        $count2,
-        $count3
-    );
-}
-
-$objects = array($it1, $it2, $it3);
-
-foreach ($objects as $object) {
-	$loop = 0;
-	$count = count_objects($object);
-	$countIterator = count_objects_with_iterator($object);
-	if ($countIterator != $count) {
-    	echo "Counting with iterator doesn't match counting with foreach $loop, $count != $countIterator.";
-    	$loop++;
-	}
-}
-
-
-$it1->newPixelIterator (new Imagick ('magick:rose'));
-
-echo 'done' . PHP_EOL;
-?>
---EXPECTF--
-
-%s: ImagickPixelIterator::newPixelIterator is deprecated. ImagickPixelIterator::getPixelIterator should be used instead in %s on line %d
-done
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/118_Imagick_setImageArtifact_basic.phpt b/imagick-3.7.0/tests/118_Imagick_setImageArtifact_basic.phpt
deleted file mode 100644
index 3eed6f1..0000000
--- a/imagick-3.7.0/tests/118_Imagick_setImageArtifact_basic.phpt
+++ /dev/null
@@ -1,45 +0,0 @@
---TEST--
-Test Imagick, setImageArtifact
---SKIPIF--
-<?php
-$imageMagickRequiredVersion=0x675;
-require_once(dirname(__FILE__) . '/skipif.inc');
-?>
---FILE--
-<?php
-
-
-function setImageArtifact() {
-    $src1 = new \Imagick();
-    $src1->newPseudoImage(640, 480, "magick:logo");
-    
-    $src2 = new \Imagick();
-    $src2->newPseudoImage(480, 640, "magick:WIZARD");
-
-    $compose_args = $src2->getImageArtifact('compose:args');
-    var_dump($compose_args);
-
-    $src2->setImageVirtualPixelMethod(\Imagick::VIRTUALPIXELMETHOD_TRANSPARENT);
-    $src2->setImageArtifact('compose:args', "1,0,-0.5,0.5");
-    $src1->compositeImage($src2, Imagick::COMPOSITE_MATHEMATICS, 0, 0);
-
-    $compose_args = $src2->getImageArtifact('compose:args');
-    var_dump($compose_args);
-
-    $src2->setImageArtifact('compose:args', null);
-    $compose_args2 = $src2->getImageArtifact('compose:args');
-    var_dump($compose_args2);
-
-    $src1->setImageFormat('png');
-    $bytes = $src1->getImagesBlob();
-    if (strlen($bytes) <= 0) { echo "Failed to generate image.";} 
-}
-
-setImageArtifact() ;
-echo "Ok";
-?>
---EXPECTF--
-NULL
-string(12) "1,0,-0.5,0.5"
-NULL
-Ok
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/276_Imagick_artifacts.phpt b/imagick-3.7.0/tests/276_Imagick_artifacts.phpt
deleted file mode 100644
index f1992d0..0000000
--- a/imagick-3.7.0/tests/276_Imagick_artifacts.phpt
+++ /dev/null
@@ -1,27 +0,0 @@
---TEST--
-Test Imagick::setImageArtifact and Imagick::getImageArtifact
---SKIPIF--
-<?php
-
-$imageMagickRequiredVersion = 0x656;
-
-require_once(dirname(__FILE__) . '/skipif.inc');
-checkClassMethods('Imagick', array('setImageArtifact', 'getImageArtifact', 'deleteImageArtifact'));
-
-?>
---FILE--
-<?php
-
-$im = new IMagick(__DIR__ . '/php.gif');
-
-/* Examle from http://php.net/manual/de/imagick.setimageartifact.php */
-var_dump($im->setImageArtifact('compose:args', '1,0,-0.5,0.5'));
-
-var_dump($im->getImageArtifact('compose:args'));
-var_dump($im->deleteImageArtifact('compose:args'));
-
-?>
---EXPECT--
-bool(true)
-string(12) "1,0,-0.5,0.5"
-bool(true)
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/288_imagick_prevent_zero_size_images.phpt b/imagick-3.7.0/tests/288_imagick_prevent_zero_size_images.phpt
deleted file mode 100644
index a264c81..0000000
--- a/imagick-3.7.0/tests/288_imagick_prevent_zero_size_images.phpt
+++ /dev/null
@@ -1,30 +0,0 @@
---TEST--
-Prevent zero dimension images and check exception
---SKIPIF--
-<?php 
-
-require_once(dirname(__FILE__) . '/skipif.inc');
-
-
-?>
---FILE--
-<?php
-
-$im = new Imagick();
-
-$im->newPseudoImage(0, 100, "magick:logo");
-$im->newPseudoImage(100, 0, "magick:logo");
-
-ini_set("imagick.allow_zero_dimension_images", 1);
-$im->newPseudoImage(0, 100, "magick:logo");
-echo "Well done, you have a zero dimension image. Now what?\n";
-
-echo "Ok";
-
-?>
---EXPECTF--
-Deprecated: Creating images with zero columns is deprecated. If you think you need to do this, please open an issue at https://phpimagick.com/issues in %s on line %d
-
-Deprecated: Creating images with zero rows is deprecated. If you think you need to do this, please open an issue at https://phpimagick.com/issues in %s on line %d
-Well done, you have a zero dimension image. Now what?
-Ok
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/bug21229.phpt b/imagick-3.7.0/tests/bug21229.phpt
deleted file mode 100644
index db97d00..0000000
--- a/imagick-3.7.0/tests/bug21229.phpt
+++ /dev/null
@@ -1,41 +0,0 @@
---TEST--
-Test PECL bug #21229
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-
-class ImagickTest extends Imagick {
-    
-	/* Protected property */
-    protected $test;
-    
-	/* Override width property */
-	public $width = 112233;
-
-    public function setTestValue($value) {
-        $this->test = $value;
-        return $this;
-    }
-    
-    public function getTestValue() {
-        return $this->test;
-    }
-}
-
-$test = new ImagickTest("magick:logo");
-$test->setTestValue("test value");
-
-echo "Value: " , $test->getTestValue() , PHP_EOL;
-
-var_dump($test->width, $test->height);
-
-echo "OK" , PHP_EOL;
-
-
-?>
---EXPECTF--
-Value: test value
-int(112233)
-int(%d)
-OK
\ No newline at end of file
diff --git a/imagick-3.7.0/tests/bug64015.phpt b/imagick-3.7.0/tests/bug64015.phpt
deleted file mode 100644
index 9a20406..0000000
--- a/imagick-3.7.0/tests/bug64015.phpt
+++ /dev/null
@@ -1,29 +0,0 @@
---TEST--
-Test PHP bug #64015
---SKIPIF--
-<?php require_once(dirname(__FILE__) . '/skipif.inc'); ?>
---FILE--
-<?php
-$im = new Imagick(dirname(__FILE__) . '/php.gif');
-var_dump($im->getImageLength());
-
-// Both should return filesize in bytes.
-
-var_dump($im->getImageLength());
-var_dump($im->getImageSize());
-
-// All cases below now return 0;
-$cloned_im = clone $im;
-var_dump($im->getImageLength());
-var_dump($im->getImageSize());
-echo "OK" , PHP_EOL;
-
-
-?>
---EXPECTF--
-int(2523)
-int(2523)
-int(2523)
-int(2523)
-int(2523)
-OK
\ No newline at end of file
